import glob
import numpy as np
import humanize


for filename in sorted(glob.glob('*.txt')):
    name, width, height, number, _ = filename.split('.')
    data = np.loadtxt(filename)
    width = int(width)
    height = int(height)
    number = int(number)
    size = width * height * 4 * number
    throughput = size / np.mean(data) / 1024. / 1024.
    humanized = humanize.naturalsize(size / number, binary=True, gnu=True, format='%.0f')
    print("{} ({}B, {})".format(name, humanized, throughput))
